Browse Source

Move installer dir under packaging (#5009)

* move installer dir under packaging

* fix docs creation

* uninstaller is broken and fix will be created in #5031

* fix links in docs
Paweł Krupa 6 years ago
parent
commit
545aa97455

+ 8 - 8
Makefile.am

@@ -78,9 +78,9 @@ dist_noinst_DATA= \
 	docs/Charts.md \
 	docs/configuration-guide.md \
 	docs/generator/custom \
-	installer/README.md \
-	installer/UNINSTALL.md \
-	installer/UPDATE.md \
+	packaging/installer/README.md \
+	packaging/installer/UNINSTALL.md \
+	packaging/installer/UPDATE.md \
 	netlify.toml \
 	$(NULL)
 
@@ -91,7 +91,7 @@ dist_noinst_SCRIPTS= \
 	kickstart.sh \
 	kickstart-static64.sh \
 	netdata-installer.sh \
-	installer/functions.sh \
+	packaging/installer/functions.sh \
 	docs/generator/buildhtml.sh \
 	docs/generator/buildyaml.sh \
 	docs/generator/checklinks.sh \
@@ -125,10 +125,10 @@ AM_CFLAGS = \
 	$(NULL)
 
 sbin_PROGRAMS =
-dist_cache_DATA = installer/.keep
-dist_varlib_DATA = installer/.keep
-dist_registry_DATA = installer/.keep
-dist_log_DATA = installer/.keep
+dist_cache_DATA = packaging/installer/.keep
+dist_varlib_DATA = packaging/installer/.keep
+dist_registry_DATA = packaging/installer/.keep
+dist_log_DATA = packaging/installer/.keep
 plugins_PROGRAMS =
 
 LIBNETDATA_FILES = \

+ 2 - 2
README.md

@@ -94,7 +94,7 @@ The above command will:
 2. download netdata source to `/usr/src/netdata.git`
 3. compile it, install it and start it
 
-More installation methods and additional options can be found at the [installation page](installer/#installation).
+More installation methods and additional options can be found at the [installation page](packaging/installer/#installation).
 
 To try netdata in a docker container, run this:
 
@@ -459,7 +459,7 @@ Here is a quick list:
 
 Directory|Description
 :---|:---
-[`installer`](installer/)|Instructions to install netdata on your systems.
+[`installer`](packaging/installer/)|Instructions to install netdata on your systems.
 [`docker`](packaging/docker/)|Instructions to install netdata using docker.
 [`daemon`](daemon/)|Information about the netdata daemon and its configuration.
 [`collectors`](collectors/)|Information about data collection plugins.

+ 1 - 1
backends/WALKTHROUGH.md

@@ -67,7 +67,7 @@ chooses the base container images (centos:latest). After running this you should
 be sitting inside the shell of the container.
 
 After we have entered the shell we can install Netdata. This process could not
-be easier. If you take a look at [this link](../installer/#installation), the Netdata devs give us
+be easier. If you take a look at [this link](../packaging/installer/#installation), the Netdata devs give us
 several one-liners to install netdata. I have not had any issues with these one
 liners and their bootstrapping scripts so far (If you guys run into anything do
 share). Run the following command in your container.

+ 1 - 1
backends/prometheus/README.md

@@ -9,7 +9,7 @@ Prometheus is a distributed monitoring system which offers a very simple setup a
 
 ### Installing netdata
 
-There are number of ways to install netdata according to [Installation](../../installer/#installation)  
+There are number of ways to install netdata according to [Installation](../../packaging/installer/#installation)  
 The suggested way of installing the latest netdata and keep it upgrade automatically. Using one line installation:
 
 ```

+ 1 - 1
contrib/rhel/build-netdata-rpm.sh

@@ -5,7 +5,7 @@
 
 cd "$(dirname "$0")/../../" || exit 1
 # shellcheck disable=SC1091
-source "installer/functions.sh" || exit 1
+source "packaging/installer/functions.sh" || exit 1
 
 set -e
 

+ 3 - 3
docs/GettingStarted.md

@@ -1,6 +1,6 @@
 # Getting Started
 
-These are your first steps **after** you have installed netdata. If you haven't installed it already, please check the [installation page](../installer).
+These are your first steps **after** you have installed netdata. If you haven't installed it already, please check the [installation page](../packaging/installer).
 
 ## Accessing the dashboard
 
@@ -14,11 +14,11 @@ http://your.server.ip:19999/
 
 **Verify Netdata is running.**
 
-Open an ssh session to the server and execute `sudo ps -e | grep netdata`. It should respond with the PID of the netdata daemon. If it prints nothing, Netdata is not running. Check the [installation page](../installer) to install it.
+Open an ssh session to the server and execute `sudo ps -e | grep netdata`. It should respond with the PID of the netdata daemon. If it prints nothing, Netdata is not running. Check the [installation page](../packaging/installer) to install it.
 
 **Verify Netdata responds to HTTP requests.**
 
-Using the same ssh session, execute `curl -Ss http://localhost:19999`. It should dump on your screen the `index.html` page of the dashboard. If it does not, check the [installation page](../installer) to install it.
+Using the same ssh session, execute `curl -Ss http://localhost:19999`. It should dump on your screen the `index.html` page of the dashboard. If it does not, check the [installation page](../packaging/installer) to install it.
 
 **Verify Netdata receives the HTTP requests.**
 

+ 3 - 3
docs/generator/buildyaml.sh

@@ -125,10 +125,10 @@ echo -ne "    - 'docs/Why-Netdata.md'
     - CHANGELOG.md
     - CONTRIBUTING.md
 - Installation:
-    - 'installer/README.md'
+    - 'packaging/installer/README.md'
     - 'packaging/docker/README.md'
-    - 'installer/UPDATE.md'
-    - 'installer/UNINSTALL.md'
+    - 'packaging/installer/UPDATE.md'
+    - 'packaging/installer/UNINSTALL.md'
 - 'docs/GettingStarted.md'
 - Running netdata:
     - 'daemon/README.md'

+ 1 - 1
kickstart-static64.sh

@@ -9,7 +9,7 @@ umask 022
 [ -z "${UID}" ] && export UID="$(id -u)"
 
 # ---------------------------------------------------------------------------------------------------------------------
-# library functions copied from installer/functions.sh
+# library functions copied from packaging/installer/functions.sh
 
 which_cmd() {
     # shellcheck disable=SC2230

+ 1 - 1
kickstart.sh

@@ -31,7 +31,7 @@ umask 022
 [ -z "${UID}" ] && UID="$(id -u)"
 
 # ---------------------------------------------------------------------------------------------------------------------
-# library functions copied from installer/functions.sh
+# library functions copied from packaging/installer/functions.sh
 
 which_cmd() {
     # shellcheck disable=SC2230

+ 1 - 1
makeself/build-x86_64-static.sh

@@ -1,7 +1,7 @@
 #!/usr/bin/env bash
 # SPDX-License-Identifier: GPL-3.0-or-later
 
-. $(dirname "$0")/../installer/functions.sh || exit 1
+. $(dirname "$0")/../packaging/installer/functions.sh || exit 1
 
 set -e
 

Some files were not shown because too many files changed in this diff